
From: Stephen Rothwell <sfr@canb.auug.org.au>

This patch puts the most popular of each fcntl operation/flag into
asm-generic/fcntl.h and cleans up the arch files.

Signed-off-by: Stephen Rothwell <sfr@canb.auug.org.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/asm-arm/fcntl.h     |   21 ---------------------
 include/asm-arm26/fcntl.h   |   21 ---------------------
 include/asm-cris/fcntl.h    |   21 ---------------------
 include/asm-frv/fcntl.h     |   21 ---------------------
 include/asm-generic/fcntl.h |   31 +++++++++++++++++++++++++++++++
 include/asm-h8300/fcntl.h   |   21 ---------------------
 include/asm-i386/fcntl.h    |   21 ---------------------
 include/asm-ia64/fcntl.h    |   21 ---------------------
 include/asm-m32r/fcntl.h    |   21 ---------------------
 include/asm-m68k/fcntl.h    |   21 ---------------------
 include/asm-mips/fcntl.h    |   12 ------------
 include/asm-parisc/fcntl.h  |   10 ----------
 include/asm-ppc/fcntl.h     |   21 ---------------------
 include/asm-s390/fcntl.h    |   21 ---------------------
 include/asm-sh/fcntl.h      |   21 ---------------------
 include/asm-sparc/fcntl.h   |    9 ---------
 include/asm-sparc64/fcntl.h |    9 ---------
 include/asm-v850/fcntl.h    |   21 ---------------------
 include/asm-x86_64/fcntl.h  |   21 ---------------------
 include/asm-xtensa/fcntl.h  |   14 --------------
 20 files changed, 31 insertions(+), 348 deletions(-)

diff -puN include/asm-arm26/fcntl.h~clean-up-the-fcntl-operations include/asm-arm26/fcntl.h
--- devel/include/asm-arm26/fcntl.h~clean-up-the-fcntl-operations	2005-08-31 00:08:49.000000000 -0700
+++ devel-akpm/include/asm-arm26/fcntl.h	2005-08-31 00:08:49.000000000 -0700
@@ -8,31 +8,10 @@
 #define O_DIRECT	0200000	/* direct disk access hint - currently ignored */
 #define O_LARGEFILE	0400000
 
-#define F_GETLK		5
-#define F_SETLK		6
-#define F_SETLKW	7
-
-#define F_SETOWN	8	/*  for sockets. */
-#define F_GETOWN	9	/*  for sockets. */
-#define F_SETSIG	10	/*  for sockets. */
-#define F_GETSIG	11	/*  for sockets. */
-
 #define F_GETLK64	12	/*  using 'struct flock64' */
 #define F_SETLK64	13
 #define F_SETLKW64	14
 
-/* for posix fcntl() and lockf() */
-#define F_RDLCK		0
-#define F_WRLCK		1
-#define F_UNLCK		2
-
-/* for old implementation of bsd flock () */
-#define F_EXLCK		4	/* or 3 */
-#define F_SHLCK		8	/* or 4 */
-
-/* for leases */
-#define F_INPROGRESS	16
-
 struct flock {
 	short l_type;
 	short l_whence;
diff -puN include/asm-arm/fcntl.h~clean-up-the-fcntl-operations include/asm-arm/fcntl.h
--- devel/include/asm-arm/fcntl.h~clean-up-the-fcntl-operations	2005-08-31 00:08:49.000000000 -0700
+++ devel-akpm/include/asm-arm/fcntl.h	2005-08-31 00:08:49.000000000 -0700
@@ -6,31 +6,10 @@
 #define O_DIRECT	0200000	/* direct disk access hint - currently ignored */
 #define O_LARGEFILE	0400000
 
-#define F_GETLK		5
-#define F_SETLK		6
-#define F_SETLKW	7
-
-#define F_SETOWN	8	/*  for sockets. */
-#define F_GETOWN	9	/*  for sockets. */
-#define F_SETSIG	10	/*  for sockets. */
-#define F_GETSIG	11	/*  for sockets. */
-
 #define F_GETLK64	12	/*  using 'struct flock64' */
 #define F_SETLK64	13
 #define F_SETLKW64	14
 
-/* for posix fcntl() and lockf() */
-#define F_RDLCK		0
-#define F_WRLCK		1
-#define F_UNLCK		2
-
-/* for old implementation of bsd flock () */
-#define F_EXLCK		4	/* or 3 */
-#define F_SHLCK		8	/* or 4 */
-
-/* for leases */
-#define F_INPROGRESS	16
-
 struct flock {
 	short l_type;
 	short l_whence;
diff -puN include/asm-cris/fcntl.h~clean-up-the-fcntl-operations include/asm-cris/fcntl.h
--- devel/include/asm-cris/fcntl.h~clean-up-the-fcntl-operations	2005-08-31 00:08:49.000000000 -0700
+++ devel-akpm/include/asm-cris/fcntl.h	2005-08-31 00:08:49.000000000 -0700
@@ -1,31 +1,10 @@
 #ifndef _CRIS_FCNTL_H
 #define _CRIS_FCNTL_H
 
-#define F_GETLK		5
-#define F_SETLK		6
-#define F_SETLKW	7
-
-#define F_SETOWN	8	/*  for sockets. */
-#define F_GETOWN	9	/*  for sockets. */
-#define F_SETSIG	10	/*  for sockets. */
-#define F_GETSIG	11	/*  for sockets. */
-
 #define F_GETLK64      12      /*  using 'struct flock64' */
 #define F_SETLK64      13
 #define F_SETLKW64     14
 
-/* for posix fcntl() and lockf() */
-#define F_RDLCK		0
-#define F_WRLCK		1
-#define F_UNLCK		2
-
-/* for old implementation of bsd flock () */
-#define F_EXLCK		4	/* or 3 */
-#define F_SHLCK		8	/* or 4 */
-
-/* for leases */
-#define F_INPROGRESS   16
-
 struct flock {
 	short l_type;
 	short l_whence;
diff -puN include/asm-frv/fcntl.h~clean-up-the-fcntl-operations include/asm-frv/fcntl.h
--- devel/include/asm-frv/fcntl.h~clean-up-the-fcntl-operations	2005-08-31 00:08:49.000000000 -0700
+++ devel-akpm/include/asm-frv/fcntl.h	2005-08-31 00:08:49.000000000 -0700
@@ -1,31 +1,10 @@
 #ifndef _ASM_FCNTL_H
 #define _ASM_FCNTL_H
 
-#define F_GETLK		5
-#define F_SETLK		6
-#define F_SETLKW	7
-
-#define F_SETOWN	8	/*  for sockets. */
-#define F_GETOWN	9	/*  for sockets. */
-#define F_SETSIG	10	/*  for sockets. */
-#define F_GETSIG	11	/*  for sockets. */
-
 #define F_GETLK64	12	/*  using 'struct flock64' */
 #define F_SETLK64	13
 #define F_SETLKW64	14
 
-/* for posix fcntl() and lockf() */
-#define F_RDLCK		0
-#define F_WRLCK		1
-#define F_UNLCK		2
-
-/* for old implementation of bsd flock () */
-#define F_EXLCK		4	/* or 3 */
-#define F_SHLCK		8	/* or 4 */
-
-/* for leases */
-#define F_INPROGRESS	16
-
 struct flock {
 	short l_type;
 	short l_whence;
diff -puN include/asm-generic/fcntl.h~clean-up-the-fcntl-operations include/asm-generic/fcntl.h
--- devel/include/asm-generic/fcntl.h~clean-up-the-fcntl-operations	2005-08-31 00:08:49.000000000 -0700
+++ devel-akpm/include/asm-generic/fcntl.h	2005-08-31 00:08:49.000000000 -0700
@@ -55,10 +55,41 @@
 #define F_SETFD		2	/* set/clear close_on_exec */
 #define F_GETFL		3	/* get file->f_flags */
 #define F_SETFL		4	/* set file->f_flags */
+#ifndef F_GETLK
+#define F_GETLK		5
+#define F_SETLK		6
+#define F_SETLKW	7
+#endif
+#ifndef F_SETOWN
+#define F_SETOWN	8	/* for sockets. */
+#define F_GETOWN	9	/* for sockets. */
+#endif
+#ifndef F_SETSIG
+#define F_SETSIG	10	/* for sockets. */
+#define F_GETSIG	11	/* for sockets. */
+#endif
 
 /* for F_[GET|SET]FL */
 #define FD_CLOEXEC	1	/* actually anything with low bit set goes */
 
+/* for posix fcntl() and lockf() */
+#ifndef F_RDLCK
+#define F_RDLCK		0
+#define F_WRLCK		1
+#define F_UNLCK		2
+#endif
+
+/* for old implementation of bsd flock () */
+#ifndef F_EXLCK
+#define F_EXLCK		4	/* or 3 */
+#define F_SHLCK		8	/* or 4 */
+#endif
+
+/* for leases */
+#ifndef F_INPROGRESS
+#define F_INPROGRESS	16
+#endif
+
 /* operations for bsd flock(), also used by the kernel implementation */
 #define LOCK_SH		1	/* shared lock */
 #define LOCK_EX		2	/* exclusive lock */
diff -puN include/asm-h8300/fcntl.h~clean-up-the-fcntl-operations include/asm-h8300/fcntl.h
--- devel/include/asm-h8300/fcntl.h~clean-up-the-fcntl-operations	2005-08-31 00:08:49.000000000 -0700
+++ devel-akpm/include/asm-h8300/fcntl.h	2005-08-31 00:08:49.000000000 -0700
@@ -6,31 +6,10 @@
 #define O_DIRECT	0200000	/* direct disk access hint - currently ignored */
 #define O_LARGEFILE	0400000
 
-#define F_GETLK		5
-#define F_SETLK		6
-#define F_SETLKW	7
-
-#define F_SETOWN	8	/*  for sockets. */
-#define F_GETOWN	9	/*  for sockets. */
-#define F_SETSIG	10	/*  for sockets. */
-#define F_GETSIG	11	/*  for sockets. */
-
 #define F_GETLK64	12	/*  using 'struct flock64' */
 #define F_SETLK64	13
 #define F_SETLKW64	14
 
-/* for posix fcntl() and lockf() */
-#define F_RDLCK		0
-#define F_WRLCK		1
-#define F_UNLCK		2
-
-/* for old implementation of bsd flock () */
-#define F_EXLCK		4	/* or 3 */
-#define F_SHLCK		8	/* or 4 */
-
-/* for leases */
-#define F_INPROGRESS	16
-
 struct flock {
 	short l_type;
 	short l_whence;
diff -puN include/asm-i386/fcntl.h~clean-up-the-fcntl-operations include/asm-i386/fcntl.h
--- devel/include/asm-i386/fcntl.h~clean-up-the-fcntl-operations	2005-08-31 00:08:49.000000000 -0700
+++ devel-akpm/include/asm-i386/fcntl.h	2005-08-31 00:08:49.000000000 -0700
@@ -1,31 +1,10 @@
 #ifndef _I386_FCNTL_H
 #define _I386_FCNTL_H
 
-#define F_GETLK		5
-#define F_SETLK		6
-#define F_SETLKW	7
-
-#define F_SETOWN	8	/*  for sockets. */
-#define F_GETOWN	9	/*  for sockets. */
-#define F_SETSIG	10	/*  for sockets. */
-#define F_GETSIG	11	/*  for sockets. */
-
 #define F_GETLK64	12	/*  using 'struct flock64' */
 #define F_SETLK64	13
 #define F_SETLKW64	14
 
-/* for posix fcntl() and lockf() */
-#define F_RDLCK		0
-#define F_WRLCK		1
-#define F_UNLCK		2
-
-/* for old implementation of bsd flock () */
-#define F_EXLCK		4	/* or 3 */
-#define F_SHLCK		8	/* or 4 */
-
-/* for leases */
-#define F_INPROGRESS	16
-
 struct flock {
 	short l_type;
 	short l_whence;
diff -puN include/asm-ia64/fcntl.h~clean-up-the-fcntl-operations include/asm-ia64/fcntl.h
--- devel/include/asm-ia64/fcntl.h~clean-up-the-fcntl-operations	2005-08-31 00:08:49.000000000 -0700
+++ devel-akpm/include/asm-ia64/fcntl.h	2005-08-31 00:08:49.000000000 -0700
@@ -5,27 +5,6 @@
  *	David Mosberger-Tang <davidm@hpl.hp.com>, Hewlett-Packard Co.
  */
 
-#define F_GETLK		5
-#define F_SETLK		6
-#define F_SETLKW	7
-
-#define F_SETOWN	8	/*  for sockets. */
-#define F_GETOWN	9	/*  for sockets. */
-#define F_SETSIG	10	/*  for sockets. */
-#define F_GETSIG	11	/*  for sockets. */
-
-/* for posix fcntl() and lockf() */
-#define F_RDLCK		0
-#define F_WRLCK		1
-#define F_UNLCK		2
-
-/* for old implementation of bsd flock () */
-#define F_EXLCK		4	/* or 3 */
-#define F_SHLCK		8	/* or 4 */
-
-/* for leases */
-#define F_INPROGRESS	16
-
 struct flock {
 	short l_type;
 	short l_whence;
diff -puN include/asm-m32r/fcntl.h~clean-up-the-fcntl-operations include/asm-m32r/fcntl.h
--- devel/include/asm-m32r/fcntl.h~clean-up-the-fcntl-operations	2005-08-31 00:08:49.000000000 -0700
+++ devel-akpm/include/asm-m32r/fcntl.h	2005-08-31 00:08:49.000000000 -0700
@@ -5,31 +5,10 @@
 
 /* orig : i386 2.4.18 */
 
-#define F_GETLK		5
-#define F_SETLK		6
-#define F_SETLKW	7
-
-#define F_SETOWN	8	/*  for sockets. */
-#define F_GETOWN	9	/*  for sockets. */
-#define F_SETSIG	10	/*  for sockets. */
-#define F_GETSIG	11	/*  for sockets. */
-
 #define F_GETLK64	12	/*  using 'struct flock64' */
 #define F_SETLK64	13
 #define F_SETLKW64	14
 
-/* for posix fcntl() and lockf() */
-#define F_RDLCK		0
-#define F_WRLCK		1
-#define F_UNLCK		2
-
-/* for old implementation of bsd flock () */
-#define F_EXLCK		4	/* or 3 */
-#define F_SHLCK		8	/* or 4 */
-
-/* for leases */
-#define F_INPROGRESS	16
-
 struct flock {
 	short l_type;
 	short l_whence;
diff -puN include/asm-m68k/fcntl.h~clean-up-the-fcntl-operations include/asm-m68k/fcntl.h
--- devel/include/asm-m68k/fcntl.h~clean-up-the-fcntl-operations	2005-08-31 00:08:49.000000000 -0700
+++ devel-akpm/include/asm-m68k/fcntl.h	2005-08-31 00:08:49.000000000 -0700
@@ -6,31 +6,10 @@
 #define O_DIRECT	0200000	/* direct disk access hint - currently ignored */
 #define O_LARGEFILE	0400000
 
-#define F_GETLK		5
-#define F_SETLK		6
-#define F_SETLKW	7
-
-#define F_SETOWN	8	/*  for sockets. */
-#define F_GETOWN	9	/*  for sockets. */
-#define F_SETSIG	10	/*  for sockets. */
-#define F_GETSIG	11	/*  for sockets. */
-
 #define F_GETLK64	12	/*  using 'struct flock64' */
 #define F_SETLK64	13
 #define F_SETLKW64	14
 
-/* for posix fcntl() and lockf() */
-#define F_RDLCK		0
-#define F_WRLCK		1
-#define F_UNLCK		2
-
-/* for old implementation of bsd flock () */
-#define F_EXLCK		4	/* or 3 */
-#define F_SHLCK		8	/* or 4 */
-
-/* for leases */
-#define F_INPROGRESS	16
-
 struct flock {
 	short l_type;
 	short l_whence;
diff -puN include/asm-mips/fcntl.h~clean-up-the-fcntl-operations include/asm-mips/fcntl.h
--- devel/include/asm-mips/fcntl.h~clean-up-the-fcntl-operations	2005-08-31 00:08:49.000000000 -0700
+++ devel-akpm/include/asm-mips/fcntl.h	2005-08-31 00:08:49.000000000 -0700
@@ -33,18 +33,6 @@
 #define F_SETLKW64	35
 #endif
 
-/* for posix fcntl() and lockf() */
-#define F_RDLCK		0
-#define F_WRLCK		1
-#define F_UNLCK		2
-
-/* for old implementation of bsd flock () */
-#define F_EXLCK		4	/* or 3 */
-#define F_SHLCK		8	/* or 4 */
-
-/* for leases */
-#define F_INPROGRESS	16
-
 /*
  * The flavours of struct flock.  "struct flock" is the ABI compliant
  * variant.  Finally struct flock64 is the LFS variant of struct flock.  As
diff -puN include/asm-parisc/fcntl.h~clean-up-the-fcntl-operations include/asm-parisc/fcntl.h
--- devel/include/asm-parisc/fcntl.h~clean-up-the-fcntl-operations	2005-08-31 00:08:49.000000000 -0700
+++ devel-akpm/include/asm-parisc/fcntl.h	2005-08-31 00:08:49.000000000 -0700
@@ -19,9 +19,6 @@
 #define O_NOFOLLOW	00000200 /* don't follow links */
 #define O_INVISIBLE	04000000 /* invisible I/O, for DMAPI/XDSM */
 
-#define F_GETLK		5
-#define F_SETLK		6
-#define F_SETLKW	7
 #define F_GETLK64	8
 #define F_SETLK64	9
 #define F_SETLKW64	10
@@ -36,13 +33,6 @@
 #define F_WRLCK		02
 #define F_UNLCK		03
 
-/* for old implementation of bsd flock () */
-#define F_EXLCK		4	/* or 3 */
-#define F_SHLCK		8	/* or 4 */
-
-/* for leases */
-#define F_INPROGRESS	16
-
 struct flock {
 	short l_type;
 	short l_whence;
diff -puN include/asm-ppc/fcntl.h~clean-up-the-fcntl-operations include/asm-ppc/fcntl.h
--- devel/include/asm-ppc/fcntl.h~clean-up-the-fcntl-operations	2005-08-31 00:08:49.000000000 -0700
+++ devel-akpm/include/asm-ppc/fcntl.h	2005-08-31 00:08:49.000000000 -0700
@@ -6,33 +6,12 @@
 #define O_LARGEFILE     0200000
 #define O_DIRECT	0400000	/* direct disk access hint */
 
-#define F_GETLK		5
-#define F_SETLK		6
-#define F_SETLKW	7
-
-#define F_SETOWN	8	/*  for sockets. */
-#define F_GETOWN	9	/*  for sockets. */
-#define F_SETSIG	10	/*  for sockets. */
-#define F_GETSIG	11	/*  for sockets. */
-
 #ifndef __powerpc64__
 #define F_GETLK64	12	/*  using 'struct flock64' */
 #define F_SETLK64	13
 #define F_SETLKW64	14
 #endif
 
-/* for posix fcntl() and lockf() */
-#define F_RDLCK		0
-#define F_WRLCK		1
-#define F_UNLCK		2
-
-/* for old implementation of bsd flock () */
-#define F_EXLCK		4	/* or 3 */
-#define F_SHLCK		8	/* or 4 */
-
-/* for leases */
-#define F_INPROGRESS	16
-
 struct flock {
 	short l_type;
 	short l_whence;
diff -puN include/asm-s390/fcntl.h~clean-up-the-fcntl-operations include/asm-s390/fcntl.h
--- devel/include/asm-s390/fcntl.h~clean-up-the-fcntl-operations	2005-08-31 00:08:49.000000000 -0700
+++ devel-akpm/include/asm-s390/fcntl.h	2005-08-31 00:08:49.000000000 -0700
@@ -8,33 +8,12 @@
 #ifndef _S390_FCNTL_H
 #define _S390_FCNTL_H
 
-#define F_GETLK		5
-#define F_SETLK		6
-#define F_SETLKW	7
-
-#define F_SETOWN	8	/*  for sockets. */
-#define F_GETOWN	9	/*  for sockets. */
-#define F_SETSIG	10	/*  for sockets. */
-#define F_GETSIG	11	/*  for sockets. */
-
 #ifndef __s390x__
 #define F_GETLK64	12	/*  using 'struct flock64' */
 #define F_SETLK64	13
 #define F_SETLKW64	14
 #endif /* ! __s390x__ */
 
-/* for posix fcntl() and lockf() */
-#define F_RDLCK		0
-#define F_WRLCK		1
-#define F_UNLCK		2
-
-/* for old implementation of bsd flock () */
-#define F_EXLCK		4	/* or 3 */
-#define F_SHLCK		8	/* or 4 */
-
-/* for leases */
-#define F_INPROGRESS	16
-
 struct flock {
 	short l_type;
 	short l_whence;
diff -puN include/asm-sh/fcntl.h~clean-up-the-fcntl-operations include/asm-sh/fcntl.h
--- devel/include/asm-sh/fcntl.h~clean-up-the-fcntl-operations	2005-08-31 00:08:49.000000000 -0700
+++ devel-akpm/include/asm-sh/fcntl.h	2005-08-31 00:08:49.000000000 -0700
@@ -1,31 +1,10 @@
 #ifndef __ASM_SH_FCNTL_H
 #define __ASM_SH_FCNTL_H
 
-#define F_GETLK		5
-#define F_SETLK		6
-#define F_SETLKW	7
-
-#define F_SETOWN	8	/*  for sockets. */
-#define F_GETOWN	9	/*  for sockets. */
-#define F_SETSIG	10	/*  for sockets. */
-#define F_GETSIG	11	/*  for sockets. */
-
 #define F_GETLK64	12	/*  using 'struct flock64' */
 #define F_SETLK64	13
 #define F_SETLKW64	14
 
-/* for posix fcntl() and lockf() */
-#define F_RDLCK		0
-#define F_WRLCK		1
-#define F_UNLCK		2
-
-/* for old implementation of bsd flock () */
-#define F_EXLCK		4	/* or 3 */
-#define F_SHLCK		8	/* or 4 */
-
-/* for leases */
-#define F_INPROGRESS	16
-
 struct flock {
 	short l_type;
 	short l_whence;
diff -puN include/asm-sparc64/fcntl.h~clean-up-the-fcntl-operations include/asm-sparc64/fcntl.h
--- devel/include/asm-sparc64/fcntl.h~clean-up-the-fcntl-operations	2005-08-31 00:08:49.000000000 -0700
+++ devel-akpm/include/asm-sparc64/fcntl.h	2005-08-31 00:08:49.000000000 -0700
@@ -23,21 +23,12 @@
 #define F_GETLK		7
 #define F_SETLK		8
 #define F_SETLKW	9
-#define F_SETSIG	10	/*  for sockets. */
-#define F_GETSIG	11	/*  for sockets. */
 
 /* for posix fcntl() and lockf() */
 #define F_RDLCK		1
 #define F_WRLCK		2
 #define F_UNLCK		3
 
-/* for old implementation of bsd flock () */
-#define F_EXLCK		4	/* or 3 */
-#define F_SHLCK		8	/* or 4 */
-
-/* for leases */
-#define F_INPROGRESS	16
-
 struct flock {
 	short l_type;
 	short l_whence;
diff -puN include/asm-sparc/fcntl.h~clean-up-the-fcntl-operations include/asm-sparc/fcntl.h
--- devel/include/asm-sparc/fcntl.h~clean-up-the-fcntl-operations	2005-08-31 00:08:49.000000000 -0700
+++ devel-akpm/include/asm-sparc/fcntl.h	2005-08-31 00:08:49.000000000 -0700
@@ -22,8 +22,6 @@
 #define F_GETLK		7
 #define F_SETLK		8
 #define F_SETLKW	9
-#define F_SETSIG	10	/*  for sockets. */
-#define F_GETSIG	11	/*  for sockets. */
 
 #define F_GETLK64	12	/*  using 'struct flock64' */
 #define F_SETLK64	13
@@ -34,13 +32,6 @@
 #define F_WRLCK		2
 #define F_UNLCK		3
 
-/* for old implementation of bsd flock () */
-#define F_EXLCK		4	/* or 3 */
-#define F_SHLCK		8	/* or 4 */
-
-/* for leases */
-#define F_INPROGRESS	16
-
 struct flock {
 	short l_type;
 	short l_whence;
diff -puN include/asm-v850/fcntl.h~clean-up-the-fcntl-operations include/asm-v850/fcntl.h
--- devel/include/asm-v850/fcntl.h~clean-up-the-fcntl-operations	2005-08-31 00:08:49.000000000 -0700
+++ devel-akpm/include/asm-v850/fcntl.h	2005-08-31 00:08:49.000000000 -0700
@@ -6,31 +6,10 @@
 #define O_DIRECT       0200000	/* direct disk access hint - currently ignored */
 #define O_LARGEFILE    0400000
 
-#define F_GETLK		5
-#define F_SETLK		6
-#define F_SETLKW	7
-
-#define F_SETOWN	8	/*  for sockets. */
-#define F_GETOWN	9	/*  for sockets. */
-#define F_SETSIG	10	/*  for sockets. */
-#define F_GETSIG	11	/*  for sockets. */
-
 #define F_GETLK64	12	/*  using 'struct flock64' */
 #define F_SETLK64	13
 #define F_SETLKW64	14
 
-/* for posix fcntl() and lockf() */
-#define F_RDLCK		0
-#define F_WRLCK		1
-#define F_UNLCK		2
-
-/* for old implementation of bsd flock () */
-#define F_EXLCK		4	/* or 3 */
-#define F_SHLCK		8	/* or 4 */
-
-/* for leases */
-#define F_INPROGRESS	16
-
 struct flock {
 	short l_type;
 	short l_whence;
diff -puN include/asm-x86_64/fcntl.h~clean-up-the-fcntl-operations include/asm-x86_64/fcntl.h
--- devel/include/asm-x86_64/fcntl.h~clean-up-the-fcntl-operations	2005-08-31 00:08:49.000000000 -0700
+++ devel-akpm/include/asm-x86_64/fcntl.h	2005-08-31 00:08:49.000000000 -0700
@@ -1,27 +1,6 @@
 #ifndef _X86_64_FCNTL_H
 #define _X86_64_FCNTL_H
 
-#define F_GETLK		5
-#define F_SETLK		6
-#define F_SETLKW	7
-
-#define F_SETOWN	8	/*  for sockets. */
-#define F_GETOWN	9	/*  for sockets. */
-#define F_SETSIG	10	/*  for sockets. */
-#define F_GETSIG	11	/*  for sockets. */
-
-/* for posix fcntl() and lockf() */
-#define F_RDLCK		0
-#define F_WRLCK		1
-#define F_UNLCK		2
-
-/* for old implementation of bsd flock () */
-#define F_EXLCK		4	/* or 3 */
-#define F_SHLCK		8	/* or 4 */
-
-/* for leases */
-#define F_INPROGRESS	16
-
 struct flock {
 	short  l_type;
 	short  l_whence;
diff -puN include/asm-xtensa/fcntl.h~clean-up-the-fcntl-operations include/asm-xtensa/fcntl.h
--- devel/include/asm-xtensa/fcntl.h~clean-up-the-fcntl-operations	2005-08-31 00:08:49.000000000 -0700
+++ devel-akpm/include/asm-xtensa/fcntl.h	2005-08-31 00:08:49.000000000 -0700
@@ -34,20 +34,6 @@
 
 #define F_SETOWN	24	/*  for sockets. */
 #define F_GETOWN	23	/*  for sockets. */
-#define F_SETSIG	10	/*  for sockets. */
-#define F_GETSIG	11	/*  for sockets. */
-
-/* for posix fcntl() and lockf() */
-#define F_RDLCK		0
-#define F_WRLCK		1
-#define F_UNLCK		2
-
-/* for old implementation of bsd flock () */
-#define F_EXLCK		4	/* or 3 */
-#define F_SHLCK		8	/* or 4 */
-
-/* for leases */
-#define F_INPROGRESS	16
 
 typedef struct flock {
 	short l_type;
_
